%define rel 1

Name:           rosegarden
Version:        11.02
Release:        %mkrel %rel
Summary:        Midi, audio and notation editor
URL:            http://www.rosegardenmusic.com/
Source0:        http://sourceforge.net/projects/rosegarden/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-1.9-fix-include.patch
Patch1:         %{name}-1.9-fix-search-path.patch
License:        GPLv2+
Group:          Sound
BuildRequires:  kdelibs4-devel
BuildRequires:  jackit-devel
BuildRequires:  ladspa-devel
BuildRequires:  liblrdf-devel
BuildRequires:  imagemagick
BuildRequires:  chrpath
BuildRequires:  libxml2-utils
BuildRequires:  dssi-devel
BuildRequires:  makedepend
BuildRequires:  fftw3-devel
BuildRequires:  python
BuildRequires:  liblo-devel
BuildRequires:  libxft-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  liblirc-devel
Requires:       flac
Requires:       libsndfile-progs
# For sndfile-resample, see https://bugzilla.novell.com/show_bug.cgi?id=443543
# - AdamW 2008/12
Requires:       libsamplerate-progs
Requires:       xterm
Suggests:       lilypond
Obsoletes:      %{name}4
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
Rosegarden is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%files -n %name -f %{name}.lang
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/icons/*/*/*/*%{name}*
%_datadir/mime/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0

%build
#generate configure
#sh bootstrap.sh
export QTDIR=/usr/lib/qt4
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std

# isntall some extra files
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr \
        data/autoload \
        data/chords \
        data/examples \
        data/fonts \
        data/library \
        data/pixmaps \
        data/presets \
        data/profile \
        data/styles \
        data/templates \
        %{buildroot}%{_datadir}/%{name}

%find_lang %{name} --with-html

%clean
rm -rf %buildroot

#vim: set ft=rpm tabstop=4 shiftwidth=4 expandtab smarttab autoindent smartindent nu:


%changelog
* Thu Apr 21 2011 Frank Kober <emuse@mandriva.org> 11.02-1mdv2011.0
+ Revision: 656455
- update to new version 11.02
- new version 11.02

* Wed Nov 24 2010 Funda Wang <fwang@mandriva.org> 10.10-1mdv2011.0
+ Revision: 600342
- new version 10.10

* Tue Jun 08 2010 Rémy Clouard <shikamaru@mandriva.org> 10.04.2-1mdv2010.1
+ Revision: 547294
- bump release

* Sat May 01 2010 Rémy Clouard <shikamaru@mandriva.org> 10.04-1mdv2010.1
+ Revision: 541483
- Update to new rosegarden-10.04 (bugfix release)
- fix build
- fix #57337: audio file import now works as expected
- hopefully fix 58329: notation editor crash
  CCBUG: 57337
  CCBUG: 58329
- use retab to remove stupid tabs

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - don't install scripts dir

* Thu Mar 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 10.02.1-2mdv2010.1
+ Revision: 527532
- add more files, examples, presets (should fix bug#58269)

* Sat Feb 20 2010 Rémy Clouard <shikamaru@mandriva.org> 10.02.1-1mdv2010.1
+ Revision: 508702
- update to final release
- new versioning scheme from upstream

  + Sandro Cazzaniga <kharec@mandriva.org>
    - clean spec

* Sat Jan 23 2010 Rémy Clouard <shikamaru@mandriva.org> 1.9-0.10.02.11505.1mdv2010.1
+ Revision: 495292
- bump release (beta)
- fix #56490
- fix #57216

* Sun Oct 25 2009 Rémy Clouard <shikamaru@mandriva.org> 1.9-0.10.02.11081.1mdv2010.0
+ Revision: 459196
- fix #52901
- update to newer upstream revision
- drop merged patch

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix spec file name
    - Use the Qt4 version

* Tue Aug 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9-0.10.02.10693.3mdv2010.0
+ Revision: 417526
- Fix more path
- Fix search pach

* Sun Aug 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9-0.10.02.10693.1mdv2010.0
+ Revision: 416851
- Fix build on x86_64
- New snapshot

  + Rémy Clouard <shikamaru@mandriva.org>
    - fix obsoletes

* Tue Jun 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9-0.09.10.10351.1mdv2010.0
+ Revision: 384349
- Use Qt4/Kde4 layout

  + Rémy Clouard <shikamaru@mandriva.org>
    - fix buildrequires
    - remove unneeded %%post and %%postun sections
    - import rosegarden4


* Sun Jan 21 2007 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2007-01-21 16:04:42 (111393)
- fix specfile name
- add obsoletes for rosegarden4
- add BuildRequires: python
- Import rosegarden

* Tue Aug 22 2006 Lenny Cartier <lenny@mandriva.com> 1.2.4-1mdv2007.0
- from Pedro Lopez-Cabanillas <plcl@users.sf.net> : 
	- New release
	- Include DSSI support
	- Use the internal scons-mini to avoid broken SCons versions

* Sun Feb 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.3-1mdk
- 1.2.3
- drop patches 1,2,3,4 - don't apply + not needed
- scons...
- no shared libraries built, drop lib packages

* Thu Aug 25 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-5mdk
- harmless 64-bit fixes

* Sun Aug 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0-4mdk
- patch3: fix build (for gcc 4.0?)

* Tue Jun 14 2005 Pascal Terjan <pterjan@mandriva.org> 1.0-3mdk
- fix build with gcc4 (patch2)

* Mon Mar 21 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- fix build on lib64 platforms

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.91-1mdk
- 0.9.91

* Wed Oct 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.9-2mdk
- -Wmissing-prototypes is only valid for the C front-end

* Wed Aug 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.9-1mdk
- 0.9.9
- update patch0

* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 0.9.8-2mdk 
- rebuild for new gcc ( patch 0 )

* Thu May 27 2004 Austin Acton <austin@mandrake.org> 0.9.8-1mdk
- 0.9.8

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.7-2mdk
- Fix menu

* Fri Apr 02 2004 Austin Acton <austin@mandrake.org> 0.9.7-1mdk
- 0.9.7

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.9.6-4mdk
- rebuild for liblrdf2

